: passes events from input to output
: until some time t' at which it receives an event with w < 0
: after which it blocks events until after t'+toff ms
: arrival of another event at time t'' with w < 0 starts a new "blocking interval"
: or prolongs the current one until t''+toff

NEURON {
  ARTIFICIAL_CELL EGate
  RANGE toff : how long it stays off after it is turned off
  RANGE on : 1 means passes events, 0 means blocks events
}

PARAMETER {
  toff = 5 (ms)
}

ASSIGNED {
  on
}

INITIAL {
  on = 1 : default is to pass all events
}

NET_RECEIVE (w) {
  if (on == 1) {
    if (w>=0) {
      net_event(t)
    } else { : w<0, turn off
      on = 0
      net_send(toff, 1) : to turn back on
    }
  } else { : off
    if (flag == 1) { : turn back on
      on = 1
    } else if (w<0) { : prolong block
      net_move(t+toff)
    }
  }
}

